summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/testing/ensure-pysqlcipher-has-usleep.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/scripts/testing/ensure-pysqlcipher-has-usleep.sh b/scripts/testing/ensure-pysqlcipher-has-usleep.sh
index d3d93d86..d1148aa0 100755
--- a/scripts/testing/ensure-pysqlcipher-has-usleep.sh
+++ b/scripts/testing/ensure-pysqlcipher-has-usleep.sh
@@ -9,5 +9,8 @@ install_bundled_pysqlcipher() {
pip uninstall -y pysqlcipher
pip install --install-option="--bundled" pysqlcipher
}
-
-./check-pysqlcipher.py || (install_bundled_pysqlcipher && ./check-pysqlcipher.py)
+check_pysqlcipher() {
+ SCRIPTPATH=$( cd $(dirname $0) ; pwd -P )
+ $SCRIPTPATH/check-pysqlcipher.py
+}
+check_pysqlcipher || (install_bundled_pysqlcipher && check_pysqlcipher)